Class DbxUserListFolderBuilder

java.lang.Object
com.dropbox.core.v2.files.DbxUserListFolderBuilder

public class DbxUserListFolderBuilder extends Object
The request builder returned by DbxUserFilesRequests.listFolderBuilder(java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withRecursive

      public DbxUserListFolderBuilder withRecursive(Boolean recursive)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      recursive - If true, the list folder operation will be applied recursively to all subfolders and the response will contain contents of all subfolders. In some cases, setting ListFolderArg.getRecursive() to true may lead to performance issues or errors, especially when traversing folder structures with a large number of items. A workaround for such cases is to set ListFolderArg.getRecursive() to false and traverse subfolders one at a time. Defaults to false when set to null.
      Returns:
      this builder
    • withIncludeMediaInfo

      @Deprecated public DbxUserListFolderBuilder withIncludeMediaInfo(Boolean includeMediaInfo)
      Deprecated.
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      includeMediaInfo - Field is deprecated. If true, FileMetadata.getMediaInfo() is set for photo and video. This parameter will no longer have an effect starting December 2, 2019. Defaults to false when set to null.
      Returns:
      this builder
    • withIncludeDeleted

      public DbxUserListFolderBuilder withIncludeDeleted(Boolean includeDeleted)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      includeDeleted - If true, the results will include entries for files and folders that used to exist but were deleted. Defaults to false when set to null.
      Returns:
      this builder
    • withIncludeHasExplicitSharedMembers

      public DbxUserListFolderBuilder withIncludeHasExplicitSharedMembers(Boolean includeHasExplicitSharedMembers)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      includeHasExplicitSharedMembers - If true, the results will include a flag for each file indicating whether or not that file has any explicit members. Defaults to false when set to null.
      Returns:
      this builder
    • withIncludeMountedFolders

      public DbxUserListFolderBuilder withIncludeMountedFolders(Boolean includeMountedFolders)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      includeMountedFolders - If true, the results will include entries under mounted folders which includes app folder, shared folder and team folder. Defaults to true when set to null.
      Returns:
      this builder
    • withLimit

      public DbxUserListFolderBuilder withLimit(Long limit)
      Set value for optional field.
      Parameters:
      limit - The maximum number of results to return per request. Note: This is an approximate number and there can be slightly more entries returned in some cases. Must be greater than or equal to 1 and be less than or equal to 2000.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withSharedLink

      public DbxUserListFolderBuilder withSharedLink(SharedLink sharedLink)
      Set value for optional field.
      Parameters:
      sharedLink - A shared link to list the contents of. If the link is password-protected, the password must be provided. If this field is present, ListFolderArg.getPath() will be relative to root of the shared link. Only non-recursive mode is supported for shared link.
      Returns:
      this builder
    • withIncludePropertyGroups

      public DbxUserListFolderBuilder withIncludePropertyGroups(TemplateFilterBase includePropertyGroups)
      Set value for optional field.
      Parameters:
      includePropertyGroups - If set to a valid list of template IDs, FileMetadata.getPropertyGroups() is set if there exists property data associated with the file and each of the listed templates.
      Returns:
      this builder
    • withIncludeNonDownloadableFiles

      public DbxUserListFolderBuilder withIncludeNonDownloadableFiles(Boolean includeNonDownloadableFiles)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      includeNonDownloadableFiles - If true, include files that are not downloadable, i.e. Google Docs. Defaults to true when set to null.
      Returns:
      this builder
    • withIncludeRestorableInfo

      public DbxUserListFolderBuilder withIncludeRestorableInfo(Boolean includeRestorableInfo)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      includeRestorableInfo - If true, each returned deleted entry will include whether that entry can be restored. Defaults to false when set to null.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      ListFolderErrorException
      DbxException